/*Tipografías importadas de Google */

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500&family=Roboto&display=swap');

*{
    border: none;
margin: 0;
padding: 0;
}

/*Propiedades personalizadas de estilos */
:root{
/*root es elemento raiz del documento */

/* Propiedades personalizadas de paleta de color */
--principal: #c9511b;
--secundario: #000000;
--enfasis: #1593b5;
--fondo: #F7F3E3;

/*propiedades personalizadas de fuentes tipográficas */

--titulos: 'Poppins', sans-serif;
--texto: 'Roboto', sans-serif;
}
a{
    color: inherit;
    text-decoration: none;
}

body, html{
    scroll-behavior: smooth;
}
body{
    background-color: var(--fondo);
    font-family: var(--texto);
    font-size: 16px;
}
figure{
    margin-bottom: 1em;
}
figcaption {
    color: var(--principal);
    font-size: .85em;
    font-style: italic;
    text-align: center;
}
footer{
    background-color: var(--principal);
    padding: 2em;
    text-align: center;
}
footer img{
    display: block;
    margin: 0 auto;
    width: 12em;
}

h2{
    font-family: var(--titulos);
}
h3{
    color: #c9511b;
    font-family: var(--titulos);
    font-size: 1.2em;

}

h4{
    color: #1593b5;
    font-family: var(--titulos);
    font-size: 1em;
}
h1 a{
    color: var(--fondo);
    font-family: var(--titulos)
}
header{
    align-items: center;
    backdrop-filter: blur(.75em) brightness(1.2);
    display: flex; 
    /* Convierte el header en un contenedor flexible para que sus elementos se acomoden uno al al lado de otro */
    height: 4em;
    justify-content: space-around;
    position: fixed;
    /* Este mantiene fijo el encabezado en la parte superior */
    width: 100%;
    z-index: 1;
}
img{
    max-width: 100%;
}
nav ul{
    display: flex;
    list-style: none ;
}
nav ul a{
    color: var(--fondo);
    font-size: 1.1em;
    padding: 1em;
}
section{
    display: flex;
    justify-content: center;
    /*
    padding-top:2em;
    padding-right:0;
    padding-bottom:1em;
    padding-left:0;
    Shorthands de paddding /margin
    1 valor - aplica a los 4 lados
    2 valores - arriba/abajo izquierda/derecha
    3 valores - arriba izquierda/derecha abajo
    4 valores - arriba derecha abajo izquierda
    */
    padding: 2em 0 1em;
    position: relative;
    
}
/* :nth-child() permite selecionar elementos segun su orden, en este caso selecionamos com odd los elementos pares*/
section:nth-child(odd){
    /* background:var(--secundario);
    color: var (--fondo); */
    flex-direction: row-reverse;
}


section .bloque-info{
    max-width: 660px;
    padding: 0 2em 2em;
    width: 55%;
}
section .bloque-info h2,
section .bloque-info h3{
    margin-bottom: .5em;
}
section .bloque-info h2{
    border-bottom: 1px solid var(--secundario);
    /* display: inline-block; con esta regla el borde solo abarca el ancho del texto*/
    padding-bottom: .25;
    text-transform: uppercase;
    /* text-decoration: underline;
    text-decoration-color: var(--secundario); */
}
section .bloque-info h3{
    color: var(--secundario);
}
section .bloque-info p{
    margin: 0 auto 1em;
}
section .bloque-media{
    max-width: 540px;
    width: 45%;
}
#cover{
    align-items: center;
    background-color: var(--fondo);
    background-image: url(../img/xquenda_lab_exterior_filtro.png);
    background-position: center;
    background-size: 100%;
    color: var(--fondo);
    display: flex;
    height: 80vh;
    text-align:center;
}
#cover.noticias{
    background-image: url(../img/xquenda_lab_background_noticias.png);
}
#cover .bloque-datos{
    bottom: 12em;
    position: absolute;
    right: 1em;
}
#cover .bloque-datos strong{
    border-bottom: 1px solid var(--secundario);
    color: var(--fondo);
    display: block;
    font-family: var(--titulos);
    font-size: 1.25em;

}
#cover .bloque-info{
    font-size: 1.5em;
    margin-left: 3em;
    width: 45%;
}
.ancla{
    position: absolute;
    top: -4em;
}
.btn-noticias{
    color: #c9511b;
    border: #1593b5;
    border-radius: 10%;
}
.btn-subir{
    /* background: ; agrupa todas las propiedades aplicables a fondo. En este caso: background-image background-repeat background-position/background size*/
    background: url(../img/btn-flecha.svg) no-repeat center/2.5em;
    display: block;
    height: 2.5em;
    margin: 1em auto 0;
    overflow: hidden;
    text-indent: -999em;
    transform: rotate(180deg);
    width: 2.5em;
}
.redes{
    align-items: center;
    display: flex;
    gap: 1em; /* gap es el medianil, agrega espacio entre columnas/elementos */
    justify-content: center;
    list-style: none;
    margin-bottom: 1em;
}
.redes a{
    background-position: center;
    background-repeat: no-repeat;
    background-size: 2em;
    display: block;
    filter: invert();
    height: 2em;
    overflow: hidden;
    text-indent: -999em;
    width: 2em;
}
.redes a#fb{
    background-image: url(../img/fb.svg);
}
.redes a#ig{
    background-image: url(../img/ig.svg);
}
.redes a#tw{
    background-image: url(../img/tw.svg);
}
.redes a#tt{
    background-image: url(../img/tiktok.svg);
}